<?php
/**
 * @version		$Id: mod_ot_k2slideshow.php 0001 December 2011 16:31:12Z OmegaTheme $
 * @package		OT K2 Extensions
 * @author			OmegaTheme http://omegatheme.com
 * @copyright		Copyright (c) 2011 OmegaTheme.
 * @license			http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 * @subpackage 	OT K2 Slideshow
 */

//No direct access
defined('_JEXEC') or die('Restricted access');

require_once(dirname(__FILE__).DS.'helper.php');

$doc = &JFactory::getDocument();
$doc->addStyleSheet(JURI::base().'/modules/mod_ot_k2slideshow/css/default.css');
$doc->addStyleSheet(JURI::base().'/modules/mod_ot_k2slideshow/css/nivo-slider.css');
$doc->addStyleSheet(JURI::base().'/modules/mod_ot_k2slideshow/css/style.css');
//$doc->addScript(JURI::base().'/modules/mod_ot_k2slideshow/js/jquery-1.7.1.min.js');
$doc->addScript(JURI::base().'/modules/mod_ot_k2slideshow/js/jquery.nivo.slider.js');

// Params
$moduleclass_sfx = $params->get('moduleclass_sfx','');
$getTemplate = $params->get('getTemplate','Default'); 

// Get component params
//$componentParams = & JComponentHelper::getParams('com_k2');

$items = modOtK2SlideshowHelper::getItems($params);

if(count($items)){
	require(JModuleHelper::getLayoutPath('mod_ot_k2slideshow', $getTemplate.DS.'default'));
}








